/**********************************************************************

	$Id: hilbert10.h,v 1.1 2024/10/19 23:48:03 warme Exp $

	File:	hilbert10.h
	Rev:	a-2
	Date:	10/19/2024

	Copyright (c) 2015, 2024 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

***********************************************************************

	Heuristics for "solving" Hilbert's tenth problem.

***********************************************************************

	Modification Log:

	a-1:	08/30/2015	warme
		: Created.
	a-2:	10/19/2024	warme
		: Cleanup for initial release.

***********************************************************************/

#ifndef	HILBERT10_H
#define	HILBERT10_H

#include "calib/types.h"

struct calib_Zxyz_obj;

extern calib_bool hilbert_10_heuristic (
				const struct calib_Zxyz_obj *	p,
				int *				lbound);

#endif
