/***********************************************************************

	$Id: cputime.h,v 1.1 2024/10/20 00:09:11 warme Exp $

	File:	cputime.h
	Rev:	a-2
	Date:	10/19/2024

	Copyright (c) 2004, 2024 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

************************************************************************

	Routines for computing CPU time	consumption of the program.

************************************************************************

	Modification Log:

	a-1:	02/26/2012	warme
		: Created.  Split off from other files.
	a-2:	10/19/2024	warme
		: Cleanup for initial release.

************************************************************************/

#ifndef CALIB_CPUTIME_H
#define CALIB_CPUTIME_H

#ifdef __cplusplus
 extern "C" {
#endif

/*
 * Type used to represent CPU time usage.
 */

typedef unsigned long	calib_cpu_time_t;


/*
 * Function Signatures.
 */

extern void	calib_convert_cpu_time (calib_cpu_time_t	time,
					char *			buf);
extern void	calib_convert_delta_cpu_time (
					char *			buf,
					calib_cpu_time_t *	time_in_out);
extern calib_cpu_time_t
		calib_get_cpu_time (void);
extern calib_cpu_time_t
		calib_get_delta_cpu_time (calib_cpu_time_t *	time_in_out);

#ifdef __cplusplus
 }
#endif

#endif
