/**********************************************************************

	$Id: lll.h,v 1.1 2024/10/20 00:09:11 warme Exp $

	File:	lll.h
	Rev:	a-2
	Date:	10/19/2024

	Copyright (c) 2012, 2024 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

***********************************************************************

	CALIB implementation of LLL algorithm.

***********************************************************************

	Modification Log:

	a-1:	04/10/2012	warme
		: Created.
	a-2:	10/19/2024	warme
		: Cleanup for initial release.

***********************************************************************/

#ifndef CALIB_LLL_H
#define CALIB_LLL_H

#include <gmp.h>

#ifdef __cplusplus
 extern "C" {
#endif

/* The Lenstra, Lenstra, Lovasz lattice-basis reduction algorithm.	*/
/* Returns zero upon success.						*/
/*									*/
/* This LLL implementation isn't working yet -- don't use it.		*/
/* We will remove the leading underscore when it works better.		*/
/*									*/
/* (We do use FPLLL internally [if it is available], however.)		*/

extern int		_calib_LLL (mpz_ptr	res,
				    mpz_srcptr	b,
				    int		nvec,
				    int		vsize);

#ifdef __cplusplus
 }
#endif

#endif
