/**********************************************************************

	$Id: new.h,v 1.1 2024/10/20 00:09:11 warme Exp $

	File:	new.h
	Rev:	a-2
	Date:	10/19/2024

	Copyright (c) 2012, 2024 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

***********************************************************************

	Memory allocation.

***********************************************************************

	Modification Log:

	a-1:	04/10/2012	warme
		: Created.
	a-2:	10/19/2024	warme
		: Cleanup for initial release.

***********************************************************************/

#ifndef NEW_H
#define NEW_H

#include <stddef.h>

#ifdef __cplusplus
 extern "C" {
#endif

/*
 * Macros for allocating memory in "type safe" manner.
 */

#define CALIB_NEW(T)	((T *) _calib_new (sizeof (T)))

#define CALIB_NEWA(N,T)	((T *) _calib_new ((N) * sizeof (T)))

#define CALIB_FREE(p) \
	do { if ((p) NE NULL) { free ((void *) (p)); } } while (FALSE)

extern void *	_calib_new (size_t nbytes);

#ifdef __cplusplus
 }
#endif

#endif
