/**********************************************************************

	$Id: shutdown.h,v 1.1 2024/10/20 00:09:11 warme Exp $

	File:	shutdown.h
	Rev:	a-2
	Date:	10/19/2024

	Copyright (c) 2012, 2024 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

***********************************************************************

	Interface to cleanup the algebra library when done.

***********************************************************************

	Modification Log:

	a-1:	10/16/2015	warme
		: Created.
	a-2:	10/19/2024	warme
		: Cleanup for initial release.

***********************************************************************/

#ifndef CALIB_SHUTDOWN_H
#define CALIB_SHUTDOWN_H

#ifdef __cplusplus
 extern "C" {
#endif

/*
 * Clean up all memory held statically by the algebra library.
 */

extern void	calib_shutdown (void);

#ifdef __cplusplus
 }
#endif

#endif
