/***********************************************************************

	$Id: types.h,v 1.1 2024/10/20 00:09:12 warme Exp $

	File:	types.h
	Rev:	a-2
	Date:	10/19/2024

	Copyright (c) 2012, 2024 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

************************************************************************

	Contains our standard typedefs.

************************************************************************

	Modification Log:

	a-1:	06/30/2012	warme
		: Created.
	a-2:	10/19/2024	warme
		: Cleanup for initial release.

************************************************************************/

#ifndef CALIB_TYPES_H
#define CALIB_TYPES_H

#ifdef __cplusplus
 extern "C" {
#endif

typedef signed char		calib_int8s;
typedef unsigned char		calib_int8u;
typedef char			calib_int8;

typedef signed short		calib_int16s;
typedef unsigned short		calib_int16u;
typedef short			calib_int16;

typedef signed int		calib_int32s;
typedef unsigned int		calib_int32u;
typedef int			calib_int32;

typedef signed long long	calib_int64s;
typedef unsigned long long	calib_int64u;
typedef long long		calib_int64;

typedef char			calib_bool;

/* Types mimicking those that "should" be in GMP (but are not). */

typedef	signed long int		calib_si_t;
typedef unsigned long int	calib_ui_t;

#ifdef __cplusplus
 }
#endif

#endif
