/**********************************************************************

	$Id: berle.h,v 1.1 2024/10/20 00:36:26 warme Exp $

	File:	berle.h
	Rev:	a-2
	Date:	10/19/2024

	Copyright (c) 2007, 2024 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

***********************************************************************

	Berlekamp's factoring algorithm for polynomials in Z_p[x].

***********************************************************************

	Modification Log:

	a-1:	08/14/2020	warme
		: Created.
	a-2:	10/19/2024	warme
		: Cleanup for initial release.

***********************************************************************/

#ifndef	CALIB_BERLE_H
#define	CALIB_BERLE_H

struct calib_Random;
struct calib_Zpx_dom;
struct calib_Zpx_factor;
struct calib_Zpx_obj;

extern struct calib_Zpx_factor *
		 _calib_Zpx_berle_factor (
				const struct calib_Zpx_obj *	poly,
				struct calib_Random *		randp);

#endif
