/**********************************************************************

	$Id: bitmask.h,v 1.1 2024/10/20 00:36:27 warme Exp $

	File:	bitmask.h
	Rev:	a-2
	Date:	10/19/2024

	Copyright (c) 2012, 2024 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

***********************************************************************

	Macros for handling bit masks.

***********************************************************************

	Modification Log:

	a-1:	10/09/2012	warme
		: Created.
	a-2:	10/19/2024	warme
		: Cleanup for initial release.

***********************************************************************/

#ifndef CALIB_BITMASK_H
#define CALIB_BITMASK_H

#include "calib/types.h"


/* Macros and types for working with long bit masks. */

typedef	calib_int32u		calib_bitmask_t;

#define BPW		32
#define BMASK_ELTS(n)	(((n) + (BPW-1)) / BPW)
#define SETBIT(bm, n)	((bm) [(n) / BPW] |= (1ul << ((n) % BPW)))
#define CLRBIT(bm, n)	((bm) [(n) / BPW] &= ~(1ul << ((n) % BPW)))
#define BITON(bm, n)	(((bm) [(n) / BPW] & (1ul << ((n) % BPW))) NE 0)

#endif
