/**********************************************************************

	$Id: fatal.c,v 1.1 2024/10/20 00:36:27 warme Exp $

	File:	fatal.c
	Rev:	a-2
	Date:	10/19/2024

	Copyright (c) 2012, 2024 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

***********************************************************************

	Fatal errors.

***********************************************************************

	Modification Log:

	a-1:	04/10/2012	warme
		: Created.
	a-2:	10/19/2024	warme
		: Cleanup for initial release.

***********************************************************************/

#include "calib/fatal.h"

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>

/*
 * Issue a Fatal Software Error at the given line of the given source file.
 */

	void
_calib_fatal (

const char *	filename,	/* IN: File name of CALIB_FATAL_ERROR */
int		lineno		/* IN: Line number of CALIB_FATAL_ERROR */
)
{
	fprintf (stderr,
		 "Fatal Software Error: %s, line %d\n",
		 filename, lineno);
	abort ();
}
