#!/bin/bash
#***********************************************************************
#
#	$Id: merge_libs.sh,v 1.1 2024/10/20 00:36:27 warme Exp $
#
#	File:	merge_libs.sh
#	Rev:	a-2
#	Date:	10/19/2024
#
#	Copyright (c) 2012, 2024 by David M. Warme.  All rights
#	reserved.  This work is licensed under a Creative Commons
#	Attribution-NonCommercial-ShareAlike 4.0 International License.
#
#***********************************************************************
#
#	Merge two libraries, creating/overwriting another.
#
#***********************************************************************
#
#	a-1:	10/10/2012	warme
#		: Created.
#	a-2:	10/19/2024	warme
#		: Cleanup for initial release.
#
#***********************************************************************

# Force a local temporary directory to be empty.
rm -rf .tmp >/dev/null 2>&1
mkdir .tmp

ar1="$1"
ar2="$2"
ar3="$3"

case "$ar1" in
  /*)			;;
  *)	ar1="../$ar1"	;;
esac

case "$ar2" in
  /*)			;;
  *)	ar2="../$ar2"	;;
esac

case "$ar3" in
  /*)			;;
  *)	ar3="../$ar3"	;;
esac

cd .tmp || exit 1
ar x "$ar1" || exit 1
ar x "$ar2" || exit 1
rm -f "$ar3" >/dev/null 2>&1
ar r "$ar3" * || exit 1

cd ..

rm -rf .tmp >/dev/null 2>&1
