/**********************************************************************

	$Id: new.c,v 1.1 2024/10/20 00:36:28 warme Exp $

	File:	new.c
	Rev:	a-2
	Date:	10/19/2024

	Copyright (c) 2012, 2024 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

***********************************************************************

	Memory allocation.

***********************************************************************

	Modification Log:

	a-1:	04/10/2012	warme
		: Created.
	a-2:	10/19/2024	warme
		: Cleanup for initial release.

***********************************************************************/

#include "calib/new.h"

#include "calib/logic.h"
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>

/*
 * Allocate memory.
 */

	void *
_calib_new (

size_t		nbytes		/* IN: number of bytes to allocate */
)
{
void *		p;

	if (nbytes <= 0) {
		nbytes = 1;
	}
	p = malloc (nbytes);
	if (p EQ NULL) {
		fprintf (stderr, "Out of memory.\n");
		exit (1);
	}
	return (p);
}
