/**********************************************************************

	$Id: test_genrep_div_cancel.c,v 1.1 2024/10/20 00:43:01 warme Exp $

	File:	test_genrep_div_cancel.c
	Rev:	a-2
	Date:	10/19/2024

	Copyright (c) 2012, 2024 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

***********************************************************************

	Read "foo" and test genrep of "foo / foo".

***********************************************************************

	Modification Log:

	a-1:	10/18/2019	warme
		: Created.
	a-2:	10/19/2024	warme
		: Cleanup for initial release.

***********************************************************************/

#include "calib/genrep.h"
#include "calib/logic.h"
#include "calib/prompt.h"
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>


	int
main (

int		argc,
char **		argv
)
{
int			status;
struct calib_genrep *	gp1;

	do {		/* Used only for "break". */

		calib_prompt ("\nExpression: ");

		gp1 = calib_genrep_read (&status);

		if (status NE 0) {
			fprintf (stderr, "Syntax error\n");
			break;
		}
		if (gp1 EQ NULL) break;

		gp1 = calib_genrep_div2 (gp1, calib_genrep_dup (gp1));

		calib_genrep_prettyprint (gp1);

		calib_genrep_free (gp1);
	} while (FALSE);

	exit (0);
}
